Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I have been using beamer for some time now with TexnicCenter. Recently I updated operating system to Windows 7, TexnicCenter and also MikTeX (I try to run the code with both MikTex 2.8 and MikTeX 2.9). Every presentation (even the old ones, which were working perfectly before updates) gives me an error warning and the created pdf file has extra slides with just numbers in the top left corner.

The basic TeX file:

%%%%%%%%%%%%%%%%%%
\documentclass{beamer}
\usetheme{Warsaw}
%\mode<presentation>
\begin{document}
\begin{frame}{A frame}
abc
\end{frame}
\end{document} 
%%%%%%%%%%%%%%%%%%

And the error message:

Undefined control sequence:
\beamer@frameslide ...duration=}\thispdfpagelabel
{\insertframenumber}\xda.....

Any ideas what is wrong?

The log file can be found here. The code written above produce just on error message.

share|improve this question
    
Work for me (TeX Live 2010). Try deleting any .aux file in the directory. –  Caramdir Oct 23 '10 at 0:22
    
Caramdir, thanks, but your solution doesn't work for me –  Anja Oct 23 '10 at 7:35
    
Could you post (include in the question or link to it if it's too big) the complete log file? Try to compile, and hit 's' at the first error so it will run without pausing at each error. I have a suspicion that because of your recent upgrade you are loading parts of beamer from different distributions/releases. –  Matthew Leingang Oct 23 '10 at 11:25
    
The link to log file is added below the question. I also suspect that something is wrong because of updates but I'm not able to figure it out where is the problem. I reinstall both Miktex (complete version) and TexnicCenter. –  Anja Oct 23 '10 at 12:31
    
What does the second option on the \begin{frame}{?} do? –  Seamus Oct 23 '10 at 12:47

2 Answers 2

up vote 18 down vote accepted

You are not using the newest beamer version. The newest in miktex is beamer 2010/06/21 development version 3.10. Your version is beamer 2007/03/11 cvs version 3.07. As you have beamer in one of your user roots, you will probably have to run the update manager in user mode to get the newest version, or manually download the newest version.

The error message itself is a bug in beamer. I have seen a posting about it 2 or 3 ago. \thispdfpagelabel is defined by hyperref only if pagelabels=true, but beamer used it also in dvi-mode. The problem has been obviously corrected. I don't get an error.

If you don't want to update you can try

\providecommand\thispdfpagelabel[1]{}
share|improve this answer
2  
Umm ... "2 or three" what "ago"? :) (You're missing a word, probably months or years.) –  doncherry Apr 4 '12 at 23:26

I had the same issue, but solved it by removing hyperref={pdfpagelabels=false} from the options to the document class.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.